UNIQ(1)

NAZWA
uniq - wypisuje lub pomija powtórzone wiersze

SKŁADNIA
uniq [OPCJA]... [WEJŚCIE [WYJŚCIE]]

OPIS

Filtruje powtarzające się, sąsiadujące wiersze z WEJŚCIA (lub standardowego wejście), wypisując wynik na WYJŚCIE (lub standardowego wyjście).

Jeśli nie podano żadnej opcji, pozostawia pierwszy z identycznych wierszy.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-c, --count
    poprzedza wiersz liczbą jego powtórzeń

-d, --repeated
    wypisuje tylko powtarzające się wiersze

-D, --all-repeated[=metoda-oddzielania]
     wypisuje wszystkie powtarzające się wiersze;
     metoda-oddzielania={none(domyślna),prepend,separate}
     Oddzielanie jest wykonywane za pomocą pustych wierszy

-f, --skip-fields=N
    zapobiega porównywaniu pierwszych N pól

-i, --ignore-case
    ignoruje różnice pomiędzy małymi i wielkimi literami podczas porównywania

-s, --skip-chars=N
    zapobiega porównywaniu pierwszych N znaków

-u, --unique
    wypisuje jedynie wiersze, które się nie powtarzają

-z, --zero-terminated
    kończy wiersze bajtem 0, zamiast znakiem nowego wiersza

-w, --check-chars=N
    porównuje co najwyżej N znaków w wierszu

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Pole jest definiowane jako odstępy (z reguły spacje i/lub tabulacje), wydzielone znakami nie będącymi znakami odstępu. Pola są pomijane przed pominięciem znaków.

Uwaga: uniq nie wykrywa powtórzeń wierszy, jeśli nie sąsiadują one ze sobą. Dane wejściowe powinny być wcześniej posortowane; można również użyć sort -u, zamiast programu uniq. Porównywanie przestrzega reguł opisanych przez zmienną LC_COLLATE.

AUTOR
Napisane przez Richarda M. Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w uniq proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu uniq proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
comm(1), join(1), sort(1)

Pełna dokumentacja uniq jest dostępna w formacie Texinfo. Jeśli programy info i uniq są poprawnie zainstalowane, to polecenie

    info coreutils 'uniq invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.